Subject: bug#17510: 24.3.91; Problem with `emacs --daemon' in cygw32 build

From: Ken Brown <[email-masked]>
Date: Mon, 19 May 2014 15:25:40 -0400

On 5/19/2014 12:46 PM, Eli Zaretskii wrote:
> I guess it's OK for the branch, thanks.  But it strikes me that simply
> replacing the car of dpyinfo->name_list_element by something like
> "!!!DELETED DISPLAY!!!", or even just an empty string, would serve the
> same purpose, and save us the nuisance of an additional list in
> cygw32_display_name_list.  After all, all you need is to mark a
> display deleted without actually deleting it, right?  IOW, the main
> problem is in x_delete_display, and all the rest is just the overhead
> you needed to fix that, correct?

I think that's correct, and I agree that there should be a much simpler 
fix.  I'll have to look into the code and try to understand better 
exactly what happens when emacs is started as a daemon and then a client 
frame is opened and closed.

I'll hold off on installing my patch until I see if I can find a better 
solution that is still safe enough for the branch.

Ken